Package org.opensaml.xmlsec.keyinfo.impl

# Class KeyInfoCredentialContext

java.lang.Object
org.opensaml.xmlsec.keyinfo.impl.KeyInfoCredentialContext

All Implemented Interfaces:
  `CredentialContext`

public class KeyInfoCredentialContext extends Object implements CredentialContext
Context for credentials resolved from a `KeyInfo` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final KeyInfo`
`keyInfo`
The KeyInfo context.

## Constructor Summary

Constructors
Constructor
Description
`KeyInfoCredentialContext(KeyInfo ki)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`KeyInfo`
`getKeyInfo()`
Get the KeyInfo context from which the credential was derived.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keyInfo

@Nonnull private final KeyInfo keyInfo
The KeyInfo context.

## Constructor Details

### KeyInfoCredentialContext

public KeyInfoCredentialContext(@Nonnull @ParameterName(name="ki") KeyInfo ki)
Constructor.

Parameters:
  `ki` - the KeyInfo context

## Method Details

### getKeyInfo

@Nonnull public KeyInfo getKeyInfo()
Get the KeyInfo context from which the credential was derived.

Returns:
  the KeyInfo context